Story # 3892 (Closed): Need a content viewing / rendering service

Add proposed MNRead packaging service to the Architecture Docs

2014-04-04 22:14 - Chris Jones

Status: Closed Start date: 2014-04-04

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

We need a means of consistently providing a downloadable package of science data and science metadata documents.  The BagIt

specification has been proposed in Architecture Documents, and a prototype of this service has been implemented in Metacat, see 

https://projects.ecoinformatics.org/ecoinfo/issues/6290.

Update the Architecture documents to include an MNRead.getPackage(pid) API call.  From the prototype:

GET /packages/{pid}

MNRead.getPackage(pid) -> Types.OctetStream

Returns a package of associated data and metadata documents as they are defined in the resource map that {pid} participates in.

The service MUST set the HTTP Content-Type header appropriately (like application/zip), and name the package appropriately in the

HTTP Content-Disposition header.

We may also consider other download formats other than BagIt zip files, so something like:

GET /packages/{packageType}/{pid}

MNRead.getPackage(pid, packageType) -> Types.OctetStream

History

#1 - 2014-05-11 21:19 - Matthew Jones

- Description updated

#2 - 2014-05-11 23:41 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Completed the API documentation.  Note that I assigned the packageType parameter to the ObjectFormatIdentifier type.  Checked into svn trunk

under commit #r13786.

#3 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-2.0.0
